Results 1 to 5 of 5

Thread: Ext JS 6.7 Support

  1. #1
    Sencha Premium User
    Join Date
    Jan 2009
    Posts
    451
    Answers
    19
    Vote Rating
    243
      0  

    Default Ext JS 6.7 Support

    I see Ext JS 6.7 went GA today. When will Architect be updated to support it?

  2. #2
    Ext Team Member
    Join Date
    Sep 2017
    Posts
    885
    Answers
    5
    Vote Rating
    -458
      -1  

    Default

    Thank you so much for your post. I apologize for the delay. I have shared this with the support staff to look into at their earliest convenience. Your patience is greatly appreciated! We do suggest using the support portal when you need assistance with a capability of a Sencha product, you have identified a situation where a products behavior is inconsistent with the product documentation and might indicate a software bug, or when the communication between you and Sencha needs to be private.

    Thanks again,

    Michele



  3. #3
    Sencha Premium User
    Join Date
    Sep 2016
    Location
    Germany
    Posts
    33
    Answers
    1
    Vote Rating
    6
      1  

    Default

    Prerequisite: Having installed ExtJS 6.7 And SenchaCMD 6.7 for Architect. Normally it asks to do it after the upgrade, yet still you can do it under Preferences → File → Manage Frameworks.


    First let Architect 4.2.5 upgrade the project - this will only affect the used version of SenchaCMD.
    After that, close Architect.
    Then in your $project.xds file change "settings.cmd.frameworkVersion" to "6.7.0.212" and "framework" to "ext67".
    Open the project in Architect and do "File" → "Save entire Project".
    Voila! Your project now uses ExtJS 6.7!

  4. #4

    Join Date
    May 2014
    Posts
    53
    Answers
    1
    Vote Rating
    3
      0  

    Default Thank You!!

    Thank You!!


    Quote Originally Posted by clampart View Post
    Prerequisite: Having installed ExtJS 6.7 And SenchaCMD 6.7 for Architect. Normally it asks to do it after the upgrade, yet still you can do it under Preferences → File → Manage Frameworks.


    First let Architect 4.2.5 upgrade the project - this will only affect the used version of SenchaCMD.
    After that, close Architect.
    Then in your $project.xds file change "settings.cmd.frameworkVersion" to "6.7.0.212" and "framework" to "ext67".
    Open the project in Architect and do "File" → "Save entire Project".
    Voila! Your project now uses ExtJS 6.7!

  5. #5
    Sencha Premium User
    Join Date
    Sep 2016
    Location
    Germany
    Posts
    33
    Answers
    1
    Vote Rating
    6
      0  

    Default

    You're welcome. But beware!
    Architect 4.2.5 breaks interactions of type rotate on piecharts!
    At least for existing projects upgraded this way, but probably for all rotate interactions.

Similar Threads

  1. Replies: 3
    Last Post: 6 Jun 2017, 11:41 PM
  2. Replies: 4
    Last Post: 19 Apr 2016, 9:36 AM
  3. Import support for image sequences & .eps/.ai format support
    By joelcarlo in forum Sencha Animator Feature Requests
    Replies: 7
    Last Post: 15 Oct 2013, 5:27 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •